=== debian/changelog ===
swap-cwm (1.2.1-7) unstable; urgency=medium

  * Reorder patches to match patch names.
  * Add patch 1003 to avoid double import of uripath.
    Closes: bug#787477. Thanks to Martin Martinez Rivera.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jun 2015 11:39:45 +0200

swap-cwm (1.2.1-6) unstable; urgency=low

  * Fix set packaging section for swap-cwm to web (not python).
  * Add/adjust DEP-3 patch headers.
  * Fix add package suggestions.
  * Update Vcs-* fields.
  * Declare compliance with Debian Policy 3.9.6.
  * Update copyright info: Extend coverage for myself.
  * Fix apply hash-bang (avoid assumptions on install path).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 May 2015 13:19:43 +0200

swap-cwm (1.2.1-5) unstable; urgency=low

  * Reintroduce to Debian: Still relevant after all - only semantic
    reasoner currently packaged for Debian directly handling RDF.
  * Modernize CDBS usage:
    + Drop locally shipped snippets (all included in cdbs package now).
    + Declare package relations recursively expanded (using = not := ).
  * Switch packaging to Switch to 3.0 (quilt) format.
    + Stop including CDBS snippet patchsys-quilt.
    + Stop build-depending on quilt or patchutils.
  * Refresh patch 1001 with compacting quilt options.
  * Switch to default Python install helper (not python-support).
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Update copyright/licensing info:
    + Bump file format to 1.0.
    + Drop obsolete/bogus packaging-related Files sections.
    + Trim copyright paragraphs, whitespace, License short-names and GPL
      comment.
    + Fix use license and comment pseudo-sections to obey silly
      restrictions of copyright format 1.0.
    + Refer to FSF web address (not postal address) in rules file, and
      include that reference in copyright file license comment.
    + Add dummy License section for license only optionally needed.
    + Bump packaging license to GPL-3+, and extend/TRIM copyrigt
      coverage for myself to include (only) recent years.
    + Update to use Upstream-Contact (not Upstream-Maintainer).
  * Bump debhelper compatibility to 8.
  * Use canonical hostname (anonscm.debian.org) in Vcs-* URIs.
  * Relax build-dependencies.
  * Add patch 1002 to adjust rounding in math test.
    Closes: bug#646661. Thanks to Mònica Ramírez Arceda.
  * Bump standards-version to 3.9.4.
  * Add lintian override for (not really) missing package dependency.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Jul 2013 01:28:16 +0200

swap-cwm (1.2.1-4) unstable; urgency=low

  * Have both python-swap and swap-cwm suggest python-crypto and
    python-rdflib.
  * Have swap-cwm suggest otter.
  * Maintain all package dependencies in debian/rules, with comments.
  * Install Cwm binary as cwm (not swap-cwm).
  * Fix spelling (just small typos) in --help output of cwm script.
  * Fix typo in README.source: new new.
  * Extend package-relation cleanup to include debhelper 6 and 7.0.1.
  * Drop TopGit noise from cdbs-skel.
  * Fix description in copyright header of debian/rules.
  * Use variables libpkg and pkg in debian/rules.
  * Generate manpages using help2man.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Apr 2009 00:59:23 +0200

swap-cwm (1.2.1-3) unstable; urgency=low

  * Fix have swap-cwm depend on python-swap.
  * Install documentation only on python-swap.
  * Use $(MAKE) when invoking tests (hopefully fixes invoking twice).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Mar 2009 04:43:53 +0100

swap-cwm (1.2.1-2) unstable; urgency=low

  * Fix debian/copyright to include all licenses and owners.
  * Install upstream changelog and documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Mar 2009 03:51:04 +0100

swap-cwm (1.2.1-1) unstable; urgency=low

  * Initial release. Closes: bug#519205.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Mar 2009 00:33:58 +0100
