=== debian/control ===
Source: swap-cwm
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.90~),
 devscripts,
 debhelper,
 dh-buildinfo,
 python,
 python-dev (>= 2.3.5-7),
 help2man
Standards-Version: 3.9.6
Homepage: http://www.w3.org/2000/10/swap/
Vcs-Git: git://anonscm.debian.org/collab-maint/swap-cwm
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/swap-cwm.git

Package: python-swap
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${cdbs:Depends}
Provides: ${python:Provides}
Suggests: ${cdbs:Suggests}
Description: Semantic Web Area for Play
 SWAP is a Python library of RDF/XML and RDF/N3 semantic web routines,
 primarily used by Cwm.
 .
 SWAP is an acronym for both "Semantic Web Area for Play" and "Semantic
 Web Application Platform".

Package: swap-cwm
Section: web
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${cdbs:Depends}
Suggests: ${cdbs:Suggests}
Description: RDF/XML and RDF/N3 semantic web data processor
 Cwm (pronounced coom) is a general-purpose data processor for the
 semantic web, somewhat like sed, awk, etc. for text files or XSLT for
 XML. It is a forward chaining reasoner which can be used for querying,
 checking, transforming and filtering information. Its core language is
 RDF, extended to include rules, and it uses RDF/XML or RDF/N3
 (Notation3) serializations as required.
 .
 Also included is the RDF tools cant and delta.
