=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
# Below works only for --report - for actual download use the following:
#   debian/rules get-orig-source
http://dev.w3.org/cvsweb/2000/10/swap/ cwm-([\d+\.]+)\.tar\.gz
